# SelectBiomePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SelectBiomePhase

#### Hierarchy (View Summary)

- BattlePhase
  - SelectBiomePhase

- Defined in src/phases/select-biome-phase.ts:12

##### Index

### Constructors

constructor

### Methods

end
generateNextBiome
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new SelectBiomePhase(): SelectBiomePhase

  #### Returns SelectBiomePhase

  Overrides BattlePhase.constructor

  - Defined in src/phases/select-biome-phase.ts:13

## Methods

### end

- end(): void

  #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:6

### generateNextBiome

- generateNextBiome(): Biome

  #### Returns Biome

  - Defined in src/phases/select-biome-phase.ts:82

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases/select-biome-phase.ts:17